Subject: RE: (ngtrans) Sites with multiple 6to4 border routers

From: "Christian Huitema" <[email-masked]>
Date: Fri, 23 Mar 2001 08:50:28 -0800

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> >> I believe that's what Brian Carpenter, Tony Hain, and Dave Thaler
were
> >> saying the meeting.   You have to use a globaly IPv4 address to
> >> create a 6to4 prefix.  I don't beleave you can assign the same IPv4
> >> address to 2 independent devices...
> >Uh? There is nothing impossible there. Suppose that we have a
> >multi-homed site that connects to the Internet through multiple
routers,
> >both of which advertise the same IPv4 prefix, say 123.123.1/23.
> 
> 	i guess you are talking about different thing from Vladislav
said:
> 
> >        /-------\                   /------
> >        |       | +-+               |
> >        |       +-+A+---------------+
> >        |       | +-+               |
> >        | Site  |                   | Internet
> >        |       | +-+               |
> >        |       +-+B+---------------+
> >        |       | +-+               |
> >        \-------/                   \-----
> 
> 	George: A and B both uses nd 2002:xxxx:xxxx::/48.  A uses
x.x.x.x,
> 		B uses y.y.y.y.
> 	itojun: it is problematical when B uses y.y.y.y and
> 2002:xxxx:xxxx::/48,
> 		due to filtering rule on the other side.
> 	Vladislav: George's way is hard.  also, A and B both using
x.x.x.x
> 		and 2002:xxxx:xxxx::/48 is hard.
> 	Christian: A uses x.x.x.x and 2002:xxxx:xxxx::/48, B uses
y.y.y.y
> 		and 2002:yyyy:yyyy::/48.

No. When I say that "It is quite natural to reserve a single IPv4
address for the 6to4 routing service", I mean that A and B both use
2002:xxxx:xxxx::/48; both A and B use x.x.x.x. They advertise different
addresses in the IPv6 cloud; they advertise the same IPv4 prefix (say
x.x.x/24) to the Internet; the routing of outward bound packets is
determined by IPv6 routing inside the site, e.g. RIPng; the routing of
packets from the Internet is determined by Internet routing protocols
(e.g. BGP).

-- Christian Huitema

---

From: [email-masked]
Date: Sat, 24 Mar 2001 21:17:42 +0900

>packets from the Internet is determined by Internet routing protocols

	sorry that i misunderstood your words.
	if you have two 6to4 router with the same IP address, George's
	presentation does not work, as George's talk assumeed that a single
	6to4 router would grab all the inbound traffic (for translation).

	we really need to clarify which technique requires which, and impact
	to others (like extra routing announcements to IPv4 cloud), benefits,
	whatever.

itojun